> For the complete documentation index, see [llms.txt](https://aplazo.gitbook.io/aplazo-integrations/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aplazo.gitbook.io/aplazo-integrations/api-reference/in-store-api/get-checkout-qr-code.md).

# Get checkout QR code

## Environments

{% tabs %}
{% tab title="Development" %}
<https://merchant.aplazo.net>
{% endtab %}

{% tab title="Production" %}
<https://merchant.aplazo.mx>
{% endtab %}
{% endtabs %}

## Generate QR Code

> Generates a QR code to be presented at the point of sale for customers to scan and complete the checkout process on their phones.

```json
{"openapi":"3.0.3","info":{"title":"Aplazo In-Store Payments API","version":"1.0.0"},"servers":[{"url":"https://merchant.aplazo.net"}],"security":[{"api_token":[]},{"merchant_id":[]}],"components":{"securitySchemes":{"api_token":{"type":"apiKey","in":"header","name":"api_token"},"merchant_id":{"type":"apiKey","in":"header","name":"merchant_id"}}},"paths":{"/api/v1/loan/checkout-url":{"get":{"summary":"Generate QR Code","description":"Generates a QR code to be presented at the point of sale for customers to scan and complete the checkout process on their phones.","operationId":"generateQRCode","tags":["Checkout"],"parameters":[{"in":"query","name":"cartId","required":true,"description":"Identifier in the merchant POS for the order/transaction.","schema":{"type":"string"}},{"in":"query","name":"shopId","required":true,"description":"Identifier of the store/branch where the transaction is taking place.","schema":{"type":"string"}}],"responses":{"200":{"description":"QR code generated successfully.","content":{"application/json":{"schema":{"type":"object","required":["checkoutUrl","qrCode"],"properties":{"checkoutUrl":{"type":"string","description":"URL for the customer to complete the payment."},"qrCode":{"type":"string","description":"Base64-encoded QR code image. Can be decoded using any Base64 to Image converter to generate the scannable QR code."}}}}}}}}}}}
```
